Willkommen bei bytebang » The blog about all and nothing » Eclipse is not able to install plugins

Eclipse is not able to install plugins

Feb 24 2015

The Problem

Eclipse has a wonderful plugin and extension mechanism. If you want to add new software to your installation then you can (at least in the newer versions of Eclipse) just drag & drop the sotware from the markteplace onto the IDE. In my case this did no work very well. Eclipse stuck during the calculation of the dependencies. (Error: http://vaadin.com/eclipse/content.xml )For me it seemed that the network connection broke during the download, but this was not the case.

The Solution

Eclipse tries to download all necessary files through the network. The settings under Window -> Preferences -> General -> Network Connections where OK, but the downloads did not start.

eclipse_network_preferences.jpg

The problem was that Java tried to download the data via IPv6 - which causes problems in my network. So i had to tell Java that it should prefer the IPv4 Stack. This can be done in the eclipse.ini file ba adding the line
-Djava.net.preferIPv4Stack=true in the section of the VM arguments. After adding the line it looked like this:

.
. (top lines ommited)
.

-vmargs
-Dosgi.requiredJavaVersion=1.6
-Xms40m
-Xmx512
-Djava.net.preferIPv4Stack=true

From there on it worked like a charm.

Get Social


(c) 2017, by bytebang e.U. - Impressum - Datenschutz / Nutzungsbedingungen
-